package com.bocloud.cmp.custom.models;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import com.tencentcloudapi.common.AbstractModel;

import java.util.HashMap;

/**
 * <p>
 * -
 * </p>
 *
 * @author css
 * @since 2022/8/29
 */
public class CustomAddress extends AbstractModel {
    @SerializedName("AddressId")
    @Expose
    private String AddressId;
    @SerializedName("AddressName")
    @Expose
    private String AddressName;
    @SerializedName("AddressStatus")
    @Expose
    private String AddressStatus;
    @SerializedName("AddressIp")
    @Expose
    private String AddressIp;
    @SerializedName("InstanceId")
    @Expose
    private String InstanceId;
    @SerializedName("InstanceType")
    @Expose
    private String InstanceType;
    @SerializedName("CreatedTime")
    @Expose
    private String CreatedTime;
    @SerializedName("NetworkInterfaceId")
    @Expose
    private String NetworkInterfaceId;
    @SerializedName("PrivateAddressIp")
    @Expose
    private String PrivateAddressIp;
    @SerializedName("IsArrears")
    @Expose
    private Boolean IsArrears;
    @SerializedName("IsBlocked")
    @Expose
    private Boolean IsBlocked;
    @SerializedName("IsEipDirectConnection")
    @Expose
    private Boolean IsEipDirectConnection;
    @SerializedName("AddressType")
    @Expose
    private String AddressType;
    @SerializedName("CascadeRelease")
    @Expose
    private Boolean CascadeRelease;
    //    @SerializedName("EipAlgType")
//    @Expose
//    private AlgType EipAlgType;
    @SerializedName("InternetServiceProvider")
    @Expose
    private String InternetServiceProvider;
    @SerializedName("LocalBgp")
    @Expose
    private Boolean LocalBgp;
    @SerializedName("Bandwidth")
    @Expose
    private Long Bandwidth;
    @SerializedName("InternetChargeType")
    @Expose
    private String InternetChargeType;
//    @SerializedName("TagSet")
//    @Expose
//    private Tag[] TagSet;

    public String getAddressId() {
        return this.AddressId;
    }

    public void setAddressId(String AddressId) {
        this.AddressId = AddressId;
    }

    public String getAddressName() {
        return this.AddressName;
    }

    public void setAddressName(String AddressName) {
        this.AddressName = AddressName;
    }

    public String getAddressStatus() {
        return this.AddressStatus;
    }

    public void setAddressStatus(String AddressStatus) {
        this.AddressStatus = AddressStatus;
    }

    public String getAddressIp() {
        return this.AddressIp;
    }

    public void setAddressIp(String AddressIp) {
        this.AddressIp = AddressIp;
    }

    public String getInstanceId() {
        return this.InstanceId;
    }

    public void setInstanceId(String InstanceId) {
        this.InstanceId = InstanceId;
    }

    public String getInstanceType() {
        return InstanceType;
    }

    public void setInstanceType(String instanceType) {
        InstanceType = instanceType;
    }

    public String getCreatedTime() {
        return this.CreatedTime;
    }

    public void setCreatedTime(String CreatedTime) {
        this.CreatedTime = CreatedTime;
    }

    public String getNetworkInterfaceId() {
        return this.NetworkInterfaceId;
    }

    public void setNetworkInterfaceId(String NetworkInterfaceId) {
        this.NetworkInterfaceId = NetworkInterfaceId;
    }

    public String getPrivateAddressIp() {
        return this.PrivateAddressIp;
    }

    public void setPrivateAddressIp(String PrivateAddressIp) {
        this.PrivateAddressIp = PrivateAddressIp;
    }

    public Boolean getIsArrears() {
        return this.IsArrears;
    }

    public void setIsArrears(Boolean IsArrears) {
        this.IsArrears = IsArrears;
    }

    public Boolean getIsBlocked() {
        return this.IsBlocked;
    }

    public void setIsBlocked(Boolean IsBlocked) {
        this.IsBlocked = IsBlocked;
    }

    public Boolean getIsEipDirectConnection() {
        return this.IsEipDirectConnection;
    }

    public void setIsEipDirectConnection(Boolean IsEipDirectConnection) {
        this.IsEipDirectConnection = IsEipDirectConnection;
    }

    public String getAddressType() {
        return this.AddressType;
    }

    public void setAddressType(String AddressType) {
        this.AddressType = AddressType;
    }

    public Boolean getCascadeRelease() {
        return this.CascadeRelease;
    }

    public void setCascadeRelease(Boolean CascadeRelease) {
        this.CascadeRelease = CascadeRelease;
    }

//    public AlgType getEipAlgType() {
//        return this.EipAlgType;
//    }
//
//    public void setEipAlgType(AlgType EipAlgType) {
//        this.EipAlgType = EipAlgType;
//    }

    public String getInternetServiceProvider() {
        return this.InternetServiceProvider;
    }

    public void setInternetServiceProvider(String InternetServiceProvider) {
        this.InternetServiceProvider = InternetServiceProvider;
    }

    public Boolean getLocalBgp() {
        return this.LocalBgp;
    }

    public void setLocalBgp(Boolean LocalBgp) {
        this.LocalBgp = LocalBgp;
    }

    public Long getBandwidth() {
        return this.Bandwidth;
    }

    public void setBandwidth(Long Bandwidth) {
        this.Bandwidth = Bandwidth;
    }

    public String getInternetChargeType() {
        return this.InternetChargeType;
    }

    public void setInternetChargeType(String InternetChargeType) {
        this.InternetChargeType = InternetChargeType;
    }

//    public Tag[] getTagSet() {
//        return this.TagSet;
//    }
//
//    public void setTagSet(Tag[] TagSet) {
//        this.TagSet = TagSet;
//    }

    public CustomAddress() {
    }

    public CustomAddress(CustomAddress source) {
        if (source.AddressId != null) {
            this.AddressId = new String(source.AddressId);
        }

        if (source.AddressName != null) {
            this.AddressName = new String(source.AddressName);
        }

        if (source.AddressStatus != null) {
            this.AddressStatus = new String(source.AddressStatus);
        }

        if (source.AddressIp != null) {
            this.AddressIp = new String(source.AddressIp);
        }

        if (source.InstanceId != null) {
            this.InstanceId = new String(source.InstanceId);
        }
        if (source.InstanceType != null) {
            this.InstanceType = new String(source.InstanceType);
        }

        if (source.CreatedTime != null) {
            this.CreatedTime = new String(source.CreatedTime);
        }

        if (source.NetworkInterfaceId != null) {
            this.NetworkInterfaceId = new String(source.NetworkInterfaceId);
        }

        if (source.PrivateAddressIp != null) {
            this.PrivateAddressIp = new String(source.PrivateAddressIp);
        }

        if (source.IsArrears != null) {
            this.IsArrears = new Boolean(source.IsArrears);
        }

        if (source.IsBlocked != null) {
            this.IsBlocked = new Boolean(source.IsBlocked);
        }

        if (source.IsEipDirectConnection != null) {
            this.IsEipDirectConnection = new Boolean(source.IsEipDirectConnection);
        }

        if (source.AddressType != null) {
            this.AddressType = new String(source.AddressType);
        }

        if (source.CascadeRelease != null) {
            this.CascadeRelease = new Boolean(source.CascadeRelease);
        }

//        if (source.EipAlgType != null) {
//            this.EipAlgType = new AlgType(source.EipAlgType);
//        }

        if (source.InternetServiceProvider != null) {
            this.InternetServiceProvider = new String(source.InternetServiceProvider);
        }

        if (source.LocalBgp != null) {
            this.LocalBgp = new Boolean(source.LocalBgp);
        }

        if (source.Bandwidth != null) {
            this.Bandwidth = new Long(source.Bandwidth);
        }

        if (source.InternetChargeType != null) {
            this.InternetChargeType = new String(source.InternetChargeType);
        }

//        if (source.TagSet != null) {
//            this.TagSet = new Tag[source.TagSet.length];
//
//            for(int i = 0; i < source.TagSet.length; ++i) {
//                this.TagSet[i] = new Tag(source.TagSet[i]);
//            }
//        }

    }

    public void toMap(HashMap<String, String> map, String prefix) {
        this.setParamSimple(map, prefix + "AddressId", this.AddressId);
        this.setParamSimple(map, prefix + "AddressName", this.AddressName);
        this.setParamSimple(map, prefix + "AddressStatus", this.AddressStatus);
        this.setParamSimple(map, prefix + "AddressIp", this.AddressIp);
        this.setParamSimple(map, prefix + "InstanceId", this.InstanceId);
        this.setParamSimple(map, prefix + "InstanceType", this.InstanceType);
        this.setParamSimple(map, prefix + "CreatedTime", this.CreatedTime);
        this.setParamSimple(map, prefix + "NetworkInterfaceId", this.NetworkInterfaceId);
        this.setParamSimple(map, prefix + "PrivateAddressIp", this.PrivateAddressIp);
        this.setParamSimple(map, prefix + "IsArrears", this.IsArrears);
        this.setParamSimple(map, prefix + "IsBlocked", this.IsBlocked);
        this.setParamSimple(map, prefix + "IsEipDirectConnection", this.IsEipDirectConnection);
        this.setParamSimple(map, prefix + "AddressType", this.AddressType);
        this.setParamSimple(map, prefix + "CascadeRelease", this.CascadeRelease);
//        this.setParamObj(map, prefix + "EipAlgType.", this.EipAlgType);
        this.setParamSimple(map, prefix + "InternetServiceProvider", this.InternetServiceProvider);
        this.setParamSimple(map, prefix + "LocalBgp", this.LocalBgp);
        this.setParamSimple(map, prefix + "Bandwidth", this.Bandwidth);
        this.setParamSimple(map, prefix + "InternetChargeType", this.InternetChargeType);
//        this.setParamArrayObj(map, prefix + "TagSet.", this.TagSet);
    }
}
