package com.bocloud.cmp.custom.models;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import com.tencentcloudapi.common.AbstractModel;
import com.tencentcloudapi.vpc.v20170312.models.Address;

import java.util.HashMap;

/**
 * <p>
 * -
 * </p>
 *
 * @author css
 * @since 2022/8/29
 */
public class CustomDescribeAddressesResponse  extends AbstractModel {

    @SerializedName("TotalCount")
    @Expose
    private Integer TotalCount;
    @SerializedName("AddressSet")
    @Expose
    private CustomAddress[] AddressSet;
    @SerializedName("RequestId")
    @Expose
    private String RequestId;

    public Integer getTotalCount() {
        return TotalCount;
    }

    public void setTotalCount(Integer totalCount) {
        TotalCount = totalCount;
    }

    public CustomAddress[] getAddressSet() {
        return AddressSet;
    }

    public void setAddressSet(CustomAddress[] addressSet) {
        AddressSet = addressSet;
    }

    public String getRequestId() {
        return RequestId;
    }

    public void setRequestId(String requestId) {
        RequestId = requestId;
    }

    public void toMap(HashMap<String, String> map, String prefix) {
        this.setParamSimple(map, prefix + "TotalCount", this.TotalCount);
        this.setParamArrayObj(map, prefix + "AddressSet.", this.AddressSet);
        this.setParamSimple(map, prefix + "RequestId", this.RequestId);
    }
}
