package com.bocloud.cmp.provider.security;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.bocloud.cmp.model.Butler;
import com.bocloud.cmp.model.FirewallModel;
import com.bocloud.cmp.model.FirewallPolicyModel;
import com.bocloud.cmp.model.FirewallRuleModel;
import com.bocloud.cmp.provider.TencentProvider;
import com.bocloud.common.annotations.Provider;
import com.bocloud.common.model.BocloudResult;

/**
 * 防火墙操作类
 * 
 * @author ymh
 * @时间 2018年11月15日
 */
@Provider("bocloud.cmp.tencent")
public class TencentFirewallProvider extends TencentProvider implements FirewallProvider {

    private static Logger logger = LoggerFactory.getLogger(TencentFirewallProvider.class);

    public TencentFirewallProvider(Butler butler) {
        super(butler);
    }

    @Override
    public BocloudResult list() {
        logger.info("");
        return null;
    }

    @Override
    public BocloudResult create(FirewallModel firewall) {
        return null;
    }

    @Override
    public BocloudResult remove(String firewallId) {
        return null;
    }

    @Override
    public BocloudResult detail(String firewallId) {
        return null;
    }

    @Override
    public BocloudResult update(FirewallModel firewall) {
        return null;
    }

    @Override
    public BocloudResult relevanceRouter(FirewallModel firewall) {
        return null;
    }

    @Override
    public BocloudResult listPolicy() {
        return null;
    }

    @Override
    public BocloudResult createPolicy(FirewallPolicyModel policyModel) {
        return null;
    }

    @Override
    public BocloudResult insertRule(String policyId, String ruleId, String type, String referRuleId) {
        return null;
    }

    @Override
    public BocloudResult removePolicy(String policyId) {
        return null;
    }

    @Override
    public BocloudResult removeRule(String policyId, String ruleId) {
        return null;
    }

    @Override
    public BocloudResult updatePolicy(FirewallPolicyModel policyModel) {
        return null;
    }

    @Override
    public BocloudResult detailPolicy(String policyId) {
        return null;
    }

    @Override
    public BocloudResult listRule() {
        return null;
    }

    @Override
    public BocloudResult createRule(FirewallRuleModel ruleModel) {
        return null;
    }

    @Override
    public BocloudResult removeRule(String ruleId) {
        return null;
    }

    @Override
    public BocloudResult updateRule(FirewallRuleModel ruleModel) {
        return null;
    }

    @Override
    public BocloudResult detailRule(String ruleId) {
        return null;
    }

}
