package com.bocloud.cmp.tencentconvertor;

import java.util.ArrayList;
import java.util.List;
import com.bocloud.cmp.model.SecurityGroupRuleModel;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.tencentcloudapi.vpc.v20170312.models.SecurityGroupPolicySet;

public class SecurityGroupRuleConvertor implements BeanConvertor<SecurityGroupRuleModel, SecurityGroupPolicySet> {

    @Override
    public List<SecurityGroupRuleModel> convertList(List<? extends SecurityGroupPolicySet> objects) {
        List<SecurityGroupRuleModel> volumeModels = new ArrayList<>();
        for (SecurityGroupPolicySet object : objects) {
            volumeModels.add(convertModel(object));
        }
        return volumeModels;
    }

    @Override
    public SecurityGroupRuleModel convertModel(SecurityGroupPolicySet info) {
        return new SecurityGroupRuleModel();
    }

}
